[arch-commits] Commit in ltrace/repos (extra-i686 extra-i686/PKGBUILD)

Eric Bélanger eric at archlinux.org
Thu Apr 9 23:20:19 EDT 2009


    Date: Thursday, April 9, 2009 @ 23:20:19
  Author: eric
Revision: 34545

Merged revisions 356,4523,34542 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/ltrace/trunk

........
  r356 | aaron | 2008-04-18 18:56:27 -0400 (Fri, 18 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r4523 | ronald | 2008-07-07 17:51:26 -0400 (Mon, 07 Jul 2008) | 1 line
  
  fix license
........
  r34542 | eric | 2009-04-09 23:05:51 -0400 (Thu, 09 Apr 2009) | 2 lines
  
  upgpkg: ltrace 0.5.1-1
      Upstream update, Updated url, Corrected license, Added backup array
........

Modified:
  ltrace/repos/extra-i686/	(properties)
  ltrace/repos/extra-i686/PKGBUILD

----------+
 PKGBUILD |   20 +++++++++++---------
 1 file changed, 11 insertions(+), 9 deletions(-)


Property changes on: ltrace/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /ltrace/trunk:1
   + /ltrace/trunk:1-34544

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-04-10 03:16:32 UTC (rev 34544)
+++ extra-i686/PKGBUILD	2009-04-10 03:20:19 UTC (rev 34545)
@@ -3,18 +3,20 @@
 # Contributor: Tom Newsom <Jeepster at gmx.co.uk>
 
 pkgname=ltrace
-pkgver=0.3.36
+pkgver=0.5.1
 pkgrel=1
 pkgdesc="ltrace is a debugging program which runs a specified command until it exits"
+arch=('i686' 'x86_64')
+url="http://packages.debian.org/squeeze/ltrace"
+license=('GPL')
 depends=('glibc' 'libelf')
-url="http://packages.debian.org/unstable/utils/ltrace.html"
+backup=('etc/ltrace.conf')
 source=(http://ftp.debian.org/debian/pool/main/l/ltrace/${pkgname}_${pkgver}.orig.tar.gz)
-md5sums=('674c9a7ddbe2a4ec10564dbb09b2261a')
+md5sums=('7dae92a19979e65bbf8ec50c0ed54d9a')
 
-build()
-{
-	cd $startdir/src/$pkgname-$pkgver
-	./configure --prefix=/usr --sysconfdir=/etc
-	make || return 1
-	make DESTDIR=$startdir/pkg install
+build() {
+  cd $srcdir/$pkgname-$pkgver
+  ./configure --prefix=/usr --sysconfdir=/etc || return 1
+  make || return 1
+  make DESTDIR=$pkgdir install || return 1
 }



More information about the arch-commits mailing list